# gcu::FileChooser Class Reference

`#include <gcu/filechooser.h>`

List of all members.

## Public Member Functions
| FileChooser (Application *App, bool Save, list< string > mime_types, Document *pDoc=NULL, char const *title=NULL, GtkWidget *extra_widget=NULL)

## Detailed Description

This class is used each time a file name must be choosen. It embeds a GtkFileChooserDialog window.

Definition at line 45 of file filechooser.h.

## Constructor & Destructor Documentation

gcu::FileChooser::FileChooser | ( | Application * | App,
|  | bool | Save,
|  | list< string > | mime_types,
|  | Document * | pDoc = `NULL`,
|  | char const * | title = `NULL`,
|  | GtkWidget * | extra_widget = `NULL` |
| ) |  |  |

Parameters:

  | App | the Application instance owning the dialog.
  | Save | tells if the requested file is to be saved or loaded.
  | mime_types | a std::list of supported mime types.
  | pDoc | the document to save, the parameter is optional when loading. Default value is NULL.
  | title | an optional title for the dialog box. Default value is NULL.
  | extra_widget | an optional widget to add to the GtkFileChooserDialog window. Default value is NULL.

The constructor shows the GtkFileChooserDialog window, retrieve it's response and calls Application::FileProcess if needed. The dialog is modal (nothing else can be done while it is opened).

The documentation for this class was generated from the following file:

- filechooser.h